import {DataType} from '@databases/mysql-schema-introspect';

const DefaultTypeScriptMapping = new Map<DataType, string>([
  [DataType.bigint, `(string | number | BigInt)`],
  // [DataType.binary, `unknown`],
  // [DataType.bit, `unknown`],
  // [DataType.blob, `unknown`],
  [DataType.char, `string`],
  [DataType.date, `(string | Date)`],
  [DataType.datetime, `(string | Date)`],
  // [DataType.decimal, `unknown`],
  [DataType.double, `number`],
  // [DataType.enum, `unknown`],
  [DataType.float, `number`],
  // [DataType.geomcollection, `unknown`],
  // [DataType.geometry, `unknown`],
  [DataType.int, `number`],
  // [DataType.json, `unknown`],
  // [DataType.linestring, `unknown`],
  // [DataType.longblob, `unknown`],
  // [DataType.longtext, `unknown`],
  // [DataType.mediumblob, `unknown`],
  [DataType.mediumint, `number`],
  [DataType.mediumtext, `string`],
  [DataType.multilinestring, `string`],
  // [DataType.multipoint, `unknown`],
  // [DataType.multipolygon, `unknown`],
  // [DataType.point, `unknown`],
  // [DataType.polygon, `unknown`],
  // [DataType.set, `unknown`],
  [DataType.smallint, `number`],
  [DataType.text, `string`],
  [DataType.time, `string`],
  [DataType.timestamp, `(string | Date)`],
  // [DataType.tinyblob, `unknown`],
  [DataType.tinyint, `(boolean | number)`],
  [DataType.tinytext, `string`],
  // [DataType.varbinary, `unknown`],
  [DataType.varchar, `string`],
  [DataType.year, `number`],
]);

export default DefaultTypeScriptMapping;
